<?php
$GLOBALS["__65da1b1ec2d6653e8a0" . "ab7848e536215"] = (@$GLOBALS["__65da1b1e" . "c2d6653e8a" . "0ab7848e53" . "6215"] ?: array()) + array("_1044ad6ec3f2b1" . "5d20a3b7353cfb4" . "d02" => base64_decode("U0VMRUNUIENPVU5UKCopIEZST00gcmJfb2JqIFdIRVJFIHBpZD1" . "pbnQ6aWQ="), "_934da0e4d278" . "67b72605f2f2a" . "82ddad0" => base64_decode("KGludDppZDEsIHN0cjprZXksIGludDppZD" . "IsIDAp"), "_8695e37b2f8e63ab89c46908290193" . "ec" => base64_decode("c2VsZWN0IHJiX2xpbmtzLm9ial9pZCBmcm9tIHJiX2xpbmtzLCByYl9vYmogd2hlcmUgcmJfbGlua3MudmFsPWludDppZCBhbmQgcmJfb2JqLnR5cGU9J2ZhYycgYW5kIHJiX29iai5pc19zdXNwZW5kZWQ9MCBhbmQgcmJfbGlua3Mub2JqX2lkPX" . "JiX29iai5pZCBhbmQgcmJfbGlua3MuYm9va2luZz1pbnQ6Ym9va2luZw=="), "_e98bb44779e" . "2719d990b125" . "23648e307" => base64_decode("U0VMRUNUIGlkIEZST00gcmJfZXZlbnRzIFdIRVJFIHBpZCA9IC0xIEFORCByb29tX2lkID0g" . "aW50Omlk"), "_5b81cb6cf0" . "bfd990583fc" . "12ddd80cd32" => base64_decode("ZmF" . "j"), "_b3a356a0e258224970" . "2c68be9887158b" => base64_decode("KGludDppZDEsICdyb29tJywgaW50OmlkMiwgM" . "Ck="), "_2acee84" . "48262945" . "1244aab9" . "6a01623c" . "d" => base64_decode("cm9v" . "bQ=="), "_f318226b856" . "b8a65f182630" . "0a281617b" => base64_decode("REVMRVRFIEZST00gcmJfbGlua3MgV0hFUkUgdmFsPWludDppZCBBTkQgdHlwZT0ncm9vbScgQU5EIGJvb2tpbmc9a" . "W50OmJvb2tpbmc="));
class RBRoom extends RBMainClass
{
    public function __construct($_876ca2097b275e704d71e00d36b3e7c5, $name = 'EmptyName')
    {
        parent::__construct($GLOBALS["__65da1b1ec2d6653" . "e8a0ab7848e536215"]["_2acee84482629451244aab96a01623" . "cd"], $_876ca2097b275e704d71e00d36b3e7c5, $name);
    }
    public function Load($id)
    {
        parent::Load($id);
        $this->_loadFacilities();
    }
    protected function _loadFacilities()
    {
        global $db;
        $query = $GLOBALS["__65da1b1ec2d6653e8a0ab78" . "48e536215"]["_8695e37b2f8e63ab89c4690" . "8290193ec"];
        $_189840d11056515e52402d1412a0b6e4 = $db->query($query, $this->id, $this->booking);
        while (list($id) = $_189840d11056515e52402d1412a0b6e4->fetchRow()) {
            $this->AddObj($id, $GLOBALS["__65da1b1ec2d6653e" . "8a0ab7848e536215"]["_5b81cb6cf0bfd990" . "583fc12ddd80cd32"]);
        }
    }
    protected function _createObjInsertString($key, $id)
    {
        if ($key == $GLOBALS["__65da1b1ec2d6653e" . "8a0ab7848e536215"]["_5b81cb6cf0bf" . "d990583fc12dd" . "d80cd32"]) {
            return new QueryPart($GLOBALS["__65da1b1" . "ec2d6653e" . "8a0ab7848" . "e536215"]["_b3a356a0e258224970" . "2c68be9887158b"], $id, $this->id);
        }
        return new QueryPart($GLOBALS["__65da1b1" . "ec2d6653e" . "8a0ab7848" . "e536215"]["_934da0e4d278" . "67b72605f2f2a" . "82ddad0"], $this->id, $key, $id);
    }
    protected function _updateObjList()
    {
        global $db;
        $db->query($GLOBALS["__65da1b1ec2d6653e8a0ab7848e536" . "215"]["_f318226b856b8a6" . "5f1826300a281617" . "b"], $this->id, $this->booking);
        parent::_updateObjList();
    }
    function Delete($_ef6f2587bed6ce140025395807730533 = false)
    {
        global $db;
        $_343a395319323dd7609bcbc465b4d034 = $db->query($GLOBALS["__65da1b1ec2d6653e8a0" . "ab7848e536215"]["_e98bb44779e2719d990b12523648e30" . "7"], $this->id)->fetchAllValues();
        foreach ((array) $_343a395319323dd7609bcbc465b4d034 as $id) {
            $this->_facade->DeleteEvent($id);
        }
        parent::Delete();
    }
    public function isEmpty()
    {
        global $db;
        list($_f53d35a1a1e233d98d9ce73d92ab3bb1) = $db->query_row($GLOBALS["__65da1b1ec2d66" . "53e8a0ab7848e53" . "6215"]["_1044ad6ec3f2b15d20a" . "3b7353cfb4d02"], $this->id);
        return $_f53d35a1a1e233d98d9ce73d92ab3bb1 < 1;
    }
}